Subject: [OSPF] OSPFv2 option bit

From: "Santosh P K" <[email-masked]>
Date: Wed, 3 Oct 2007 14:23:59 +0530

Hi All,
       I was going through the option bits of OSPFv2. I have couple of
doubts on this please clarify.

      In RFC 2328 in A.2  it says
                 +----------------------------------------------+
                  | * | * | DC | EA | N/P | MC | E | * |
                 +----------------------------------------------+
     That is
      Value   Description
        ------  ----------------
        0x01    Reserved
        0x02    E-bit
        0x04    MC-bit
        0x08    N/P-bit
        0x10    EA
        0x20    DC-bit
        0x40    Reserved
        0x80    Reserved

In RFC 4813 OSPF Link-Local Signaling sec 2.1 it says
                    +---+---+---+---+---+---+---+---+
                     | * | O | DC| L |N/P| MC| E | * |
                    +---+---+---+---+---+---+---+-+-+

That is
       Value   Description
        ------  ----------------
        0x01    Reserved
        0x02    E-bit
        0x04    MC-bit
        0x08    N/P-bit
        0x10    L-bit
        0x20    DC-bit
        0x40    O-bit
        0x80    Reserved

In IANA document (http://www.iana.org/assignments/ospfv2-parameters)
last updated 2007-08-14 says

           Value   Description       Reference
             ------     ----------------       ---------
            0x01    MT-bit            [RFC4915]
            0x02    E-bit              [RFC2328]
            0x04    MC-bit           [RFC1584]
            0x08    N/P-bit           [RFC3101]
            0x10    Reserved
            0x20    DC-bit            [RFC1793]
            0x40    O-bit              [RFC2370]
            0x80    DN-bit            [RFC4576]

In all the three documents there is a conflict for bit  0x10, RFC 2328
uses it as EA bit , RFC 4813 uses it as L bit and IANA document says
its reserved. Out of all these three which one shall i consider.

Thanks and regards
Santosh P K

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: Anton Smirnov <[email-masked]>
Date: Wed, 03 Oct 2007 11:28:20 +0200

> its reserved. Out of all these three which one shall i consider.

Consider exactly for which purpose? Education, implementation, new 
standard proposal? The answer depends.

EA (External Attribute) never took off the ground, you can disregard it.
LLS is in Experimental state now, not Standards track, that's the reason 
why it is not listed in IANA assignment.

    Thanks,

Anton

---

From: "Santosh P K" <[email-masked]>
Date: Wed, 3 Oct 2007 15:04:10 +0530

Thanks a lot Smirnov :)

---

From: "Santosh P K" <[email-masked]>
Date: Wed, 3 Oct 2007 15:10:42 +0530

Consider for implementation.

---

From: Abhay Roy <[email-masked]>
Date: Wed, 3 Oct 2007 06:49:13 -0700 (PDT)

Hi Santosh,

There is also the respin of RFC4813 (which includes OSPFv3),
which is on standards track. Once we get to handling IANA
action from draft-ietf-ospf-lls-03.txt, IANA will allocate
bit 0x10 for L-bit.

Regards,
-Abhay

---

From: Acee Lindem <[email-masked]>
Date: Wed, 3 Oct 2007 09:59:05 -0400

Hi Anton,
You are correct. If we ever chose to respin RFC 2328, we'd deprecate  
the EA-Bit since it was never implemented or deployed. With respect  
to LLS, it is in on our recently revamped charter to be advanced as a  
WG standards track document. The new version covers OSPFv3 as well.
Thanks,
Acee
On Oct 3, 2007, at 5:28 AM, Anton Smirnov wrote:

> LLS is in Experimental state now, not Standards track, that's the  
> reason why it is not listed in IANA assignment.
>
>    Thanks,
>
> Anton
>
>
>
> Santosh P K wrote:
>> Hi All,